Author Topic: yDecode 1.60 released (with SSL support)  (Read 5705 times)

yDecode

  • Administrator
  • Jr. Member
  • *****
  • Posts: 61
    • View Profile
yDecode 1.60 released (with SSL support)
« on: November 30, 2007, 12:18:49 AM »
yDecode 1.60 is released!

Important requirement: Demo version 1.51 download has been updated to include SSL libraries required for SSL support. If you want to upgrade you need to uninstall yDecode, download new version of 1.51 demo and install it and then apply 1.60 full version on top of it. Full version alone does not include required libraries so this procedure is mandatory.

New version is also compiled in a new compiler so there are some slightly visible changes in how yDecode operates but nothing critical. We've been testing it for over a month and we conclude that it works stable now. But if you discover something that doesn't work as expected, please let us know so we can fix it.

There is also a small, but important bug fix in the dump option which used to create files that could be corrupted (unreadable). This was present in 1.51 but 1.60 fixes this issue so if you use dump option upgrade is required!

Soon, we plan also some other updates (to the web site) which of course will be announced here.

A quick note about the configuration when using SSL:

- SSL support in your news reader must be disabled
- SSL support in yDecode must be enabled (if your server requires it)
- Port setting in yDecode must be 563 (in most cases) for most SSL enabled servers

Enabling SSL is not needed anymore in your news reader because yDecode now handles that - in fact - having it enabled in both programs (your news reader and yDecode) won't work!
Also remember to press Test Config button to see if the configuration is set as it should be.

While SSL is not required for many server, there are some that require this - one example is inetnews.worldnet.att.net server.

Update 04-Dec-2007: Full version 1.60 download has been updated with a small bug fix (some list boxes were stretched) so if you downloaded it already, you can download it again now to fix those issues.

Changes:

==============================================================================
yDecode 1.60:
==============================================================================

- Added SSL support for servers requiring SSL
- Fixed a bug with dump option that created corrupted files
- Fixed a bug with graphical display of list boxes
« Last Edit: June 17, 2009, 02:31:26 PM by Zvonko »